/*******************************************************************************
 * GenRGenS v.1.0, Generation of Random Genomic Sequences                      *
 * Copyright (C) 2001  Alain Denise/Yann Ponty                                 *
 *                                                                             *
 * This program is free software; you can redistribute it and/or               *
 * modify it under the terms of the GNU General Public License                 *
 * as published by the Free Software Foundation; either version 2              *
 * of the License, or (at your option) any later version.                      *
 *                                                                             *
 * This program is distributed in the hope that it will be useful,             *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of              *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the               *
 * GNU General Public License for more details.                                *
 *                                                                             *
 * You should have received a copy of the GNU General Public License           *
 * along with this program; if not, write to the Free Software                 *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA. *
 *******************************************************************************/


/**
 * Title:        <p>
 * Description:  <p>
 * Copyright:    Copyright (c) <p>
 * Company:      <p>
 * @author
 * @version 1.0
 */
package GenRGenS.Applet;

import java.io.*;
import java.awt.*;

public class EasyPrint extends PrintStream
{

  TextArea _child ;


  public boolean checkError()
  {return false;}
  public void close()
  {}
  public void flush()
  {}
  public void print(boolean b)
  {print(String.valueOf(b));}
  public void print(char c)
  {print(String.valueOf(c));}
  public void print(char[] s)
  {print(new String(s));}
  public void print(double d)
  {print(String.valueOf(d));}
  public void print(float f)
  {print(String.valueOf(f));}
  public void print(int i)
  {print(String.valueOf(i));}
  public void print(long l)
  {print(String.valueOf(l));}
  public void print(Object obj)
  {print(obj.toString());}
  public void print(String s)
  { _child.append(s);}

  public void println(boolean b)
  {println(String.valueOf(b));}
  public void println(char c)
  {println(String.valueOf(c));}
  public void println(char[] s)
  {println(new String(s));}
  public void println(double d)
  {println(String.valueOf(d));}
  public void println(float f)
  {println(String.valueOf(f));}
  public void println(int i)
  {println(String.valueOf(i));}
  public void println(long l)
  {println(String.valueOf(l));}
  public void println(Object obj)
  {println(obj.toString());}
  public void println()
  {println("");}
  public void println(String x)
  {_child.append(x+'\n');}

  public EasyPrint(TextArea txt)
  {
    super(new ByteArrayOutputStream());
    _child = txt;
  }
}